Module java.instrument
Package java.lang.instrument

# Class UnmodifiableModuleException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.instrument.UnmodifiableModuleException

All Implemented Interfaces:
  `Serializable`

public class UnmodifiableModuleException extends RuntimeException
Thrown to indicate that a module cannot be modified.

Since:
  9
See Also:
  `Instrumentation.redefineModule(java.lang.Module, java.util.Set<java.lang.Module>, java.util.Map<java.lang.String, java.util.Set<java.lang.Module>>, java.util.Map<java.lang.String, java.util.Set<java.lang.Module>>, java.util.Set<java.lang.Class<?>>, java.util.Map<java.lang.Class<?>, java.util.List<java.lang.Class<?>>>)`, Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnmodifiableModuleException()`
Constructs an `UnmodifiableModuleException` with no detail message.
`UnmodifiableModuleException​(String msg)`
Constructs an `UnmodifiableModuleException` with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnmodifiableModuleException

public UnmodifiableModuleException()
Constructs an `UnmodifiableModuleException` with no detail message.

### UnmodifiableModuleException

public UnmodifiableModuleException​(String msg)
Constructs an `UnmodifiableModuleException` with the specified detail message.

Parameters:
  `msg` - the detail message.